package com.eactive.eai.batch.rule.nodeinfo; 

import java.io.Serializable;

public class NodeInfoVO implements Serializable
{ 
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String RuleCode	= "";           //CHAR(20)
    private String PhaseCode	;         //CHAR(10)
    private String PhaseType	;         //VARCHAR2(10)
    private String FlowComp	;           //VARCHAR2(100)
    private String TelegramID;          //VARCHAR2(100)
    private int    LengthField;         //Number
    private String Desc	;               //VARCHAR2(100)    

    public String getDesc() {
        return Desc;
    }
    public void setDesc(String desc) {
        Desc = desc;
    }
    public String getFlowComp() {
        return FlowComp;
    }
    public void setFlowComp(String flowComp) {
        FlowComp = flowComp;
    }
    public String getPhaseCode() {
        return PhaseCode;
    }
    public void setPhaseCode(String phaseCode) {
        PhaseCode = phaseCode;
    }
    public String getPhaseType() {
        return PhaseType;
    }
    public void setPhaseType(String phaseType) {
        PhaseType = phaseType;
    }
    public String getRuleCode() {
        return RuleCode;
    }
    public void setRuleCode(String ruleCode) {
        RuleCode = ruleCode;
    }
    public String getTelegramID() {
        return TelegramID;
    }
    public void setTelegramID(String telegramID) {
        TelegramID = telegramID;
    }        
    public int getLengthField() {
        return LengthField;
    }
    public void setLengthField(int lengthField) {
        LengthField = lengthField;
    }
} 
